﻿
/* CARD GRID CONTAINER */
.cards-strip {
    display: flex;
    gap: var(--space-m);
    overflow-x: auto;
    padding-bottom: 4px;
}


/* Hide scrollbar for Chrome, Safari and Opera */
.cards-strip::-webkit-scrollbar {
    display: none;
}

/* For smaller screens - enable horizontal scroll */
@media (max-width: 768px) {
    .cards-strip {
        grid-template-columns: repeat(auto-fill, minmax(240px, 1fr));
        grid-auto-flow: column;
        grid-auto-columns: minmax(240px, 300px);
        overflow-x: auto;
    }
}

/* CARD */

.card-small {
    min-width: 210px;
    max-width: 230px;
    background: var(--color-card);
    border-radius: 16px;
    /*    border: 1px solid #f0f0f0;*/
    padding: var(--space-m);
    font-size: 13px;
    box-shadow: 0 6px 18px rgba(0,0,0,0.03);
    flex-shrink: 0;
}

/* IMAGE HOLDER (FIXED HEIGHT) */
.card-thumb {
    width: 100%;
    aspect-ratio: 4 / 3;
    border-radius: 12px;
    overflow: hidden;
    background: #e6e6e6;
    margin-bottom: 10px;
}

    /* IMAGE */
    .card-thumb img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

/* TITLE */
.card-title {
    font-size: 15px;
    font-weight: 600;
    color: #000;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

/* PRICE */
.card-price {
    font-weight: 700;
    margin: 6px 0;
}

/* DESCRIPTION */
.card-meta {
    font-size: 13px;
    color: #666;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

/* LINK */
.productCard1 {
    text-decoration: none;
    color: inherit;
}

